summaryrefslogtreecommitdiffstats
path: root/buildtools
diff options
context:
space:
mode:
authorUnknown <kunda@scribus.net>2017-11-07 18:55:26 +0000
committerUnknown <kunda@scribus.net>2017-11-07 18:55:26 +0000
commit2659ce5a325688a3db9900d6d662e92048f0539e (patch)
treef55a967bd07fcef78b1834ea9c21f6bd93b00cb0 /buildtools
parentSet primitive filter area in feComposite and feMerge. Needed for tiling. (diff)
downloadinkscape-2659ce5a325688a3db9900d6d662e92048f0539e.tar.gz
inkscape-2659ce5a325688a3db9900d6d662e92048f0539e.zip
Misc. typos
Found using `codespell -q 3 -w --skip="*.svg,*.po,*.ts,./share/tutorials,./src/libavoid,./packaging/win32/languages,./man,./src/2geom" -I ../inkscape-whitelist.txt` whereby whitelist file contained: ``` dum iff glight substract te upto ```
Diffstat (limited to 'buildtools')
-rw-r--r--buildtools/appveyor.sh4
-rw-r--r--buildtools/msys2checkdeps.py6
-rw-r--r--buildtools/msys2installdeps.sh4
3 files changed, 7 insertions, 7 deletions
diff --git a/buildtools/appveyor.sh b/buildtools/appveyor.sh
index d8dddb104..185feee0c 100644
--- a/buildtools/appveyor.sh
+++ b/buildtools/appveyor.sh
@@ -71,7 +71,7 @@ python ../buildtools/msys2checkdeps.py check inkscape/ || error "missing librar
message "--- Running tests"
# check if the installed executable works
inkscape/inkscape.exe -V || error "installed executable won't run"
-PATH= inkscape/inkscape.exe -V >/dev/null || error "installed executable won't run with empty PATH (missing dependecies?)"
+PATH= inkscape/inkscape.exe -V >/dev/null || error "installed executable won't run with empty PATH (missing dependencies?)"
err=$(PATH= inkscape/inkscape.exe -V 2>&1 >/dev/null)
if [ -n "$err" ]; then warning "installed executable produces output on stderr:"; echo "$err"; fi
# check if the uninstalled executable works
@@ -81,7 +81,7 @@ if [ -n "$err" ]; then warning "uninstalled executable produces output on stderr
# run tests
ninja check || error "tests failed"
-message "##### BUILD SUCCESSFULL #####\n\n"
+message "##### BUILD SUCCESSFUL #####\n\n"
### package
diff --git a/buildtools/msys2checkdeps.py b/buildtools/msys2checkdeps.py
index d64d9bcbc..eebeea15c 100644
--- a/buildtools/msys2checkdeps.py
+++ b/buildtools/msys2checkdeps.py
@@ -8,9 +8,9 @@
# MODE
# list - list dependencies in human-readable form with full path and list of dependents
# list-compact - list dependencies in compact form (as a plain list of filenames)
-# check - check for missing or unused dependecies (see below for details)
-# check-missing - check if all required dependecies are present in PATH
-# exits with error code 2 if missing dependecies are found and prints the list to stderr
+# check - check for missing or unused dependencies (see below for details)
+# check-missing - check if all required dependencies are present in PATH
+# exits with error code 2 if missing dependencies are found and prints the list to stderr
# check-unused - check if any of the libraries in the root of PATH are unused and prints the list to stderr
#
# PATH
diff --git a/buildtools/msys2installdeps.sh b/buildtools/msys2installdeps.sh
index e2b0528e1..9400e55a7 100644
--- a/buildtools/msys2installdeps.sh
+++ b/buildtools/msys2installdeps.sh
@@ -35,7 +35,7 @@ $ARCH-toolchain \
$ARCH-cmake \
$ARCH-ninja
-# install Inkscape dependecies (required)
+# install Inkscape dependencies (required)
eval pacman -S --needed --noconfirm \
$ARCH-gc \
$ARCH-gsl \
@@ -47,7 +47,7 @@ $ARCH-gtkmm3 \
$ARCH-gdl \
$ARCH-libsoup
-# install Inkscape dependecies (optional)
+# install Inkscape dependencies (optional)
eval pacman -S --needed --noconfirm \
$ARCH-poppler \
$ARCH-potrace \